Status: Closed Start date: 2011-08-16

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Both testing clients and CN system tasks need to be able to authenticate with servers using long-lived-non-password certificates. 

Additionally, certain test cases need to be able to act as multiple users (in order to test data security itself).  CI-Logon does not

support long-lived-no-password certificates, so self-signed certificates is proposed as the solution to try.

d1_certificate_manager is a new prototype package  in the repository that can be modified to suit the needs of creating the

self-signed certificates.

Subtasks:

Task # 1699: elaborate d1_certificate_manager package for creating self-signed certific... Rejected

Task # 1700: refactor d1_libclient_java to support use of multiple certificates Rejected

History

#1 - 2011-08-16 20:29 - Rob Nahf

- Category set to Authentication, Authorization

- Assignee set to Rob Nahf

- Milestone changed from CCI-0.6.2 to CCI-0.6.4

#2 - 2011-08-30 01:37 - Dave Vieglais

- Position set to 1

- Target version deleted (Sprint-2011.33-Block.4)

- Position deleted (24)

#3 - 2011-08-30 01:47 - Dave Vieglais

- Position set to 5

- Position deleted (10)

#4 - 2012-01-06 04:00 - Dave Vieglais

- Position deleted (108)

- Position set to 2

#5 - 2012-01-06 04:02 - Dave Vieglais

- Position deleted (9)

- Position set to 2

#6 - 2012-02-08 20:07 - Dave Vieglais

- Assignee changed from Rob Nahf to Matthew Jones

#7 - 2012-02-08 22:35 - Matthew Jones

- Status changed from New to Closed
Long-lived DataONE certificates are supported by d1_certificate manager.

Powered by TCPDF (www.tcpdf.org)

2024-05-15 2/2

http://www.tcpdf.org

